package L20_pkg;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JFrame;

/**
 * This class encapsulates a MouseListener that is installed upon a particular
 * JFrame. When a mouse clicked event is detected, this controller changes the
 * PolkaDotDataModel by adding a random polka dot.
 * 
 * 
 * @author mb
 * 
 */
public class DotController implements MouseListener {

	private PolkaDotDataModel theModel;
	private JFrame theView;

	public DotController(JFrame view, PolkaDotDataModel model) {
		theModel = model;
		theView = view;

		/**
		 * The components of the view will generate events; these are produced
		 * when the user performs user actions. We want the controller to be
		 * aware of such events so that it can update the model accordingly.
		 * 
		 */
		theView.addMouseListener(this);

	}

	/**
	 * This method causes the data model to be changed when a mouse click event
	 * is detected. A random polka dot is added to the data model. As well, a
	 * statement is printed to the console "Controller is changing the model"
	 * 
	 */
	@Override
	public void mouseClicked(MouseEvent e) {
		System.out.println("Controller is changing the model");
		theModel.addDot(PolkaDot.getRandom(theView.getWidth(),
				theView.getHeight()));
	}

	@Override
	public void mousePressed(MouseEvent e) {
	}

	@Override
	public void mouseReleased(MouseEvent e) {
	}

	@Override
	public void mouseEntered(MouseEvent e) {
	}

	@Override
	public void mouseExited(MouseEvent e) {
	}

}
