package L20_pkg;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JFrame;

/**
 * This class encapsulates a MouseListener that is installed upon a particular
 * JFrame. When a mouse clicked event is detected, this controller prints the
 * mouse event info to the console. All other mouse events are ignored.
 * 
 * @author mb
 * 
 */
public class DotControllerTrivial implements MouseListener {

	private PolkaDotDataModel theModel;
	private JFrame theView;

	public DotControllerTrivial(JFrame view, PolkaDotDataModel model) {
		theModel = model;
		theView = view;

		/**
		 * The components of the view will generate events; these are produced
		 * when the user performs user actions. We want the controller to be
		 * aware of such events so that it can update the model accordingly.
		 * 
		 */
		theView.addMouseListener(this);

	}

	@Override
	public void mouseClicked(MouseEvent e) {
		// theModel.addDot(new Dot(e.getPoint()));
		System.out.println(e);
	}

	@Override
	public void mousePressed(MouseEvent e) {
	}

	@Override
	public void mouseReleased(MouseEvent e) {
	}

	@Override
	public void mouseEntered(MouseEvent e) {
	}

	@Override
	public void mouseExited(MouseEvent e) {
	}

}
