package L20_pkg;

import java.awt.event.MouseListener;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/**
 * This app is a GUI app. It instantiates a PolkaDotDataModel. It then passed
 * that model to a view that is created via an instance of L20FrameBasicVersion.
 * 
 * @author mb
 * 
 */
public class L20App1 {
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new L20Runnable());
	}
}

class L20Runnable implements Runnable {
	@Override
	public void run() {
		// this approach makes use of a slightly different approach from L15App*

		// we encapsulate *what* needs to be drawn in an object of type
		// PolkaDotDataModel. This is called the model. We pass the model to the
		// JFrame. The components of the JFrame, when redrawing themselves,
		// consult the model in order to determine what to draw.

		// first, we create a data model and pass it to the JFrame
		PolkaDotDataModel model = new PolkaDotDataModel();
		JFrame view = new L20FrameBasicVersion(model);
	}
}
