package L20_pkg;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/**
 * This app is a GUI app. It instantiates a PolkaDotDataModel. It then passed
 * that model to a view that is created via an instance of L20FrameBasicVersion.
 * 
 * It also instantiates a controller using the services of DotControllerTrivial.
 * 
 * @author mb
 * 
 */
public class L20App2 {
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new L20RunnableV2());
	}
}

class L20RunnableV2 implements Runnable {
	@Override
	public void run() {
		// this approach makes use of yet a further modification

		// Here, as in L20App1, we specify a data model and pass it to the view.
		PolkaDotDataModel model = new PolkaDotDataModel();
		JFrame view = new L20FrameBasicVersion(model);

		// We now instantiate a controller. (refer to the API of the controller)
		new DotControllerTrivial(view, model);
	}
}
