package L20_pkg;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/**
 * This app is a GUI app. It instantiates a PolkaDotDataModel. It then passed
 * that model to a view that is created via an instance of L20Frame. This view
 * is different from the one used in L20App1 and L20App2 in that the view
 * installs itself as a listener on the model.
 * 
 * It also instantiates a controller using the services of DotController. This
 * controller is different from the one used in L20App1 and L20App2 in that the
 * controller implements a modification to the model when the user performs a
 * mouse click.
 * 
 * @author mb
 * 
 */
public class L20App3 {
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new L20RunnableV3());
	}
}

class L20RunnableV3 implements Runnable {
	@Override
	public void run() {
		// this approach makes use of yet a further modification

		// Here, as in L20App1, we specify a data model and pass it to the view.
		PolkaDotDataModel model = new PolkaDotDataModel();
		JFrame view = new L20Frame(model);

		// We now instantiate a controller. (refer to the API of the controller)
		// Note this controller implements some functionality when the user
		// clicks
		new DotController(view, model);
	}
}
