package L20_pkg;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.JTextField;

/**
 * This class encapsulates a JFrame child that is very simple; it contains a
 * single JPanel component of type CanvasPanel. The preferred size for this
 * window is 400x400. The behaviour when the window is closed is to terminate
 * the VM (if this window is the last window open of this app). This class is
 * named "BasicVersion" because it is passed the model, but has no way to keep
 * track of whether the model has changed or not.
 * 
 * @author mb
 * 
 */
public class L20FrameBasicVersion extends JFrame {

	/**
	 */
	public L20FrameBasicVersion(PolkaDotDataModel myDataModel) {

		int width = 400;
		int height = width;
		this.setPreferredSize(new Dimension(width, height));

		this.setTitle("L20 Example");

		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		this.setLayout(new BorderLayout());

		/*
		 * here we specify the components that should be added to this top-level
		 * container
		 */
		Container rootContainer = this.getContentPane();

		JPanel thePanel = new CanvasPanel(myDataModel);
		rootContainer.add(thePanel, BorderLayout.CENTER);

		/*
		 * the method pack() causes this JFrame to be sized to fit the preferred
		 * size and layouts of its subcomponents.
		 */
		this.pack();
		this.setVisible(true);
	}

}
